
Conference Management - Task # 27629

Story # 12690 (Resolved): As an administrator I can set up the conference base data

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2011-06-21 Assigned To: Karsten Dambekalns
Updated: 2011-06-27 Due date:
Subject: Adjust Models to enable editing
Description

Currently we're using the @Id annotation in the models Circular, IntermissionType, Location, Room and SessionType to mark the
title/subject as identity.
This leads to the fact that those can't be edited anymore (see #13324)

The Id annotations should be removed so that FLOW3 introduces the flow3_persistence_identifier

Note: To be able to migrate the database on the live server, a doctrine migration must be provided.

Related issues:
related to TYPO3.Flow - Bug # 13324: It's not possible to update entities wit... Resolved 2011-02-24

Associated revisions
Revision 14069e27 - 2011-06-27 14:19 - Bastian Waidelich

[TASK] Remove @identity annotations from domain models

This change removes @Id annotation of the domain models
IntermissionType, Location, Room and SessionType in order to make them
editable.

The migration shipped with this creates UUIDs in the added columns,
adjusts all relations as needed and updates the affected constraints.

Change-Id: Iff50f6ac0dcf272d9140e11e976d2bd0d41072e2
Resolves: #27629

History
#1 - 2011-06-21 19:45 - Mr. Hudson

Patch set 1 of change Iff50f6ac0dcf272d9140e11e976d2bd0d41072e2 has been pushed to the review server.
It is available at http://review.typo3.org/2866

#2 - 2011-06-21 19:48 - Bastian Waidelich
- File Version20110621193235.php added
- Status changed from New to Under Review
- Assigned To changed from Bastian Waidelich to Karsten Dambekalns

By changing the models as described above and calling flow3_dev flow3:doctrine:migrationdiff I get following exception:
Uncaught Exception in FLOW3 SQLSTATE[HY000]: General error: 1005 Can't create table 't3con11.#sql-3d4_ba' (errno: 150) thrown in file
C:\Users\bwaidelich\_HTDOCS\t3con11\Packages\Framework\FLOW3\Resources\PHP\Doctrine\DBAL\Connection.php in line 577

Doctrine creates a migration anyways (see attachment) but calling flow3:doctrine:update throws a similar exception:

Uncaught Exception in FLOW3 SQLSTATE[HY000]: General error: 1005 Can't create table 't3con11.#sql-3d4_ca' (errno: 150) thrown in file
C:\Users\bwaidelich\_HTDOCS\t3con11\Packages Framework\FLOW3\Resources\PHP\Doctrine\DBAL\Connection.php in line 577

#3 - 2011-06-22 11:49 - Karsten Dambekalns

Caused by a foreign key constraint violation, can probably be solved by adjusting the migration. I'll check.

#4 - 2011-06-25 12:20 - Mr. Hudson

Patch set 2 of change Iff50f6ac0dcf272d9140e11e976d2bd0d41072e2 has been pushed to the review server.
It is available at http://review.typo3.org/2866

#5 - 2011-06-25 12:23 - Karsten Dambekalns
- % Done changed from 0 to 90

The change works now, but the down migration needs to be made working. I'm at it...

#6 - 2011-06-27 14:27 - Mr. Hudson

Patch set 3 of change Iff50f6ac0dcf272d9140e11e976d2bd0d41072e2 has been pushed to the review server.
It is available at http://review.typo3.org/2866

#7 - 2011-06-27 22:00 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:14069e2796f891e9181dd4665f4f9f8d966b05db.

Files
Version20110621193235.php 10.4 kB 2011-06-21 Bastian Waidelich
